headless lms

List the notification channels this deployment can deliver on

GET /api/notification-channels. List the notification channels this deployment can deliver on. Headless LMS Notifications API reference.

GET
/api/notification-channels

Requires one of notification_categories:read, communities:read. communities:read on any community is enough. inApp is always first.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notification-channels"
[  {    "channel": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}